package br.blog.gc.tdd;

public class ValidadorDeDadosImpl implements ValidadorDeDados {
	public boolean isCepValido(String cep) {
		if ((cep == null) || (cep.length() != 9) || cep.charAt(5) != '-') {
			return false;
		}
		for (int i = 0; i < cep.length(); i++) {
			if (i != 5) {
				char posicao = cep.charAt(i);
				if (!Character.isDigit(posicao)) {
					return false;
				}
			}
		}
		return true;
	}
}
